<Type Name="Executor" FullName="System.CodeDom.Compiler.Executor">
  <TypeSignature Language="C#" Value="public sealed class Executor" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="ExecWait">
      <MemberSignature Language="C#" Value="public static void ExecWait (string cmd, TempFileCollection tempFiles);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="cmd" Type="System.String" />
		<Parameter Name="tempFiles" Type="System.CodeDom.Compiler.TempFileCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="cmd">To be added: an object of type 'string'</param>
        <param name="tempFiles">To be added: an object of type 'TempFileCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ExecWaitWithCapture">
      <MemberSignature Language="C#" Value="public static int ExecWaitWithCapture (string cmd, TempFileCollection tempFiles, ref string outputName, ref string errorName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="cmd" Type="System.String" />
		<Parameter Name="tempFiles" Type="System.CodeDom.Compiler.TempFileCollection" />
		<Parameter Name="outputName" Type="System.String&amp;" />
		<Parameter Name="errorName" Type="System.String&amp;" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="cmd">To be added: an object of type 'string'</param>
        <param name="tempFiles">To be added: an object of type 'TempFileCollection'</param>
        <param name="outputName">To be added: an object of type 'string&amp;'</param>
        <param name="errorName">To be added: an object of type 'string&amp;'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ExecWaitWithCapture">
      <MemberSignature Language="C#" Value="public static int ExecWaitWithCapture (string cmd, string currentDir, TempFileCollection tempFiles, ref string outputName, ref string errorName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="cmd" Type="System.String" />
		<Parameter Name="currentDir" Type="System.String" />
		<Parameter Name="tempFiles" Type="System.CodeDom.Compiler.TempFileCollection" />
		<Parameter Name="outputName" Type="System.String&amp;" />
		<Parameter Name="errorName" Type="System.String&amp;" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="cmd">To be added: an object of type 'string'</param>
        <param name="currentDir">To be added: an object of type 'string'</param>
        <param name="tempFiles">To be added: an object of type 'TempFileCollection'</param>
        <param name="outputName">To be added: an object of type 'string&amp;'</param>
        <param name="errorName">To be added: an object of type 'string&amp;'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ExecWaitWithCapture">
      <MemberSignature Language="C#" Value="public static int ExecWaitWithCapture (IntPtr userToken, string cmd, TempFileCollection tempFiles, ref string outputName, ref string errorName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="userToken" Type="System.IntPtr" />
		<Parameter Name="cmd" Type="System.String" />
		<Parameter Name="tempFiles" Type="System.CodeDom.Compiler.TempFileCollection" />
		<Parameter Name="outputName" Type="System.String&amp;" />
		<Parameter Name="errorName" Type="System.String&amp;" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="userToken">To be added: an object of type 'IntPtr'</param>
        <param name="cmd">To be added: an object of type 'string'</param>
        <param name="tempFiles">To be added: an object of type 'TempFileCollection'</param>
        <param name="outputName">To be added: an object of type 'string&amp;'</param>
        <param name="errorName">To be added: an object of type 'string&amp;'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ExecWaitWithCapture">
      <MemberSignature Language="C#" Value="public static int ExecWaitWithCapture (IntPtr userToken, string cmd, string currentDir, TempFileCollection tempFiles, ref string outputName, ref string errorName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="userToken" Type="System.IntPtr" />
		<Parameter Name="cmd" Type="System.String" />
		<Parameter Name="currentDir" Type="System.String" />
		<Parameter Name="tempFiles" Type="System.CodeDom.Compiler.TempFileCollection" />
		<Parameter Name="outputName" Type="System.String&amp;" />
		<Parameter Name="errorName" Type="System.String&amp;" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="userToken">To be added: an object of type 'IntPtr'</param>
        <param name="cmd">To be added: an object of type 'string'</param>
        <param name="currentDir">To be added: an object of type 'string'</param>
        <param name="tempFiles">To be added: an object of type 'TempFileCollection'</param>
        <param name="outputName">To be added: an object of type 'string&amp;'</param>
        <param name="errorName">To be added: an object of type 'string&amp;'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
